...= Vector.Cross(dir, u)
Dim oriview As Orientation = New Orientation(workPart.ModelingViews.WorkView.Matrix)
Dim a0 As Double = u * oriview.AxisX + v * oriview.AxisY
Dim a1 As Double = v * oriview.AxisX - u * oriview.AxisY
Dim a2 As Double = -u * oriview.AxisX -...
When I use
cartesianCoordinateSystem1 = workPart.CoordinateSystems.CreateCoordinateSystem(xform1, NXOpen.SmartObject.UpdateOption.WithinModeling)
the coordinate system can be successfully deleted with ufs.Obj.DeleteObject(). But when I change to
cartesianCoordinateSystem1 =...
Hello
I use the code below to move all the curves to layer.Basically it works as expected, except now I want to exclude thread curves.
How to collect all the dashed thread curves?
Dim displayModification1 As DisplayModification
displayModification1 =...
I have a journal that inherits settings from costumer defaults. The problem is that it doesn’t retain tolerances and fits.
How to make it read the tolerance (fit) value and assign it to the dimension once again.
Here’s the code:
Option Strict Off
Imports System
Imports NXOpen
Imports...
Hello
I’m looking for visual basic code for ”Use Costumer Default Palette“ and “Default Graduated Colors”.
I know that journal doesn’t record these commands but maybe someone knows a way to get it.
Hi
I have wrote a journal ( by editing some code I found) that creates surface finish symbol. The problem is it only selects drafting edges. Can some help me add also dimension selection.
Here's the code :
Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.UI
Imports NXOpen.UF...
Yes, the ploter name is correct. In NX9 error says: "NXOpen.NXException: SDI Enviroment not setup" whereas NX8.5 error:"Invalid printer for plotting". Journal works only after I open and close PLOT menu.
I’m working on the journal that will plot current drawing using plot profiles.
My code works only after entering PLOT menu, otherwise it gives an error.
Can someone help me fix this.
Imports NXOpen
Imports NXOpen.UF
Imports NXOpen.Drawings
Public Class Program
' class members
Private...
Thanks Cowski
Journal is very helpful. I've been looking something like this. Is it possible to get point WCS orientation and reduce number of decimal places to 2.
I found this code. What do I need to change if I want it to ask me only once for the attribute value and assign it in every component?
Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.UF
Imports NXOpen.UI
Imports NXOpen.Utilities
Imports NXOpen.Assemblies
Module...
I'm using the code below to add attributes to work part. Could somebody help me modify this code to assign attributes to every part in assembly.
Option Strict Off
Imports System
Imports NXOpen
Imports System.Windows.Forms
Module Module1
Dim theSession As Session = Session.GetSession()...
Hi guys, Is it possible to assign components attribute value to exported bodies names. Each selected component has an attribute "Description" which I want to assign to exported body. I tried to modify the code a little bit. The problem is that it uses only work part attribute, not selected...
Journal creates cam operation mirror through a plane. It works when executed on operation, but when item is a group object I'm getting en error (see attached file).Please help me to get this journal working.
Option Strict Off
Imports System
Imports System.IO
Imports System.Windows.Forms...